@rem
@rem Copyright 2015 the original author or authors.
@rem
@rem Licensed under the Apache License, Version 2.0 (the "License");
@rem you may not use this file except in compliance with the License.
@rem You may obtain a copy of the License at
@rem
@rem      https://www.apache.org/licenses/LICENSE-2.0
@rem
@rem Unless required by applicable law or agreed to in writing, software
@rem distributed under the License is distributed on an "AS IS" BASIS,
@rem WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
@rem See the License for the specific language governing permissions and
@rem limitations under the License.
@rem

@if "%DEBUG%" == "" @echo off
@rem ##########################################################################
@rem
@rem  cassandra-loadtest startup script for Windows
@rem
@rem ##########################################################################

@rem Set local scope for the variables with windows NT shell
if "%OS%"=="Windows_NT" setlocal

set DIRNAME=%~dp0
if "%DIRNAME%" == "" set DIRNAME=.
set APP_BASE_NAME=%~n0
set APP_HOME=%DIRNAME%..

@rem Resolve any "." and ".." in APP_HOME to make it shorter.
for %%i in ("%APP_HOME%") do set APP_HOME=%%~fi

@rem Add default JVM options here. You can also use JAVA_OPTS and CASSANDRA_LOADTEST_OPTS to pass JVM options to this script.
set DEFAULT_JVM_OPTS=

@rem Find java.exe
if defined JAVA_HOME goto findJavaFromJavaHome

set JAVA_EXE=java.exe
%JAVA_EXE% -version >NUL 2>&1
if "%ERRORLEVEL%" == "0" goto execute

echo.
echo ERROR: JAVA_HOME is not set and no 'java' command could be found in your PATH.
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:findJavaFromJavaHome
set JAVA_HOME=%JAVA_HOME:"=%
set JAVA_EXE=%JAVA_HOME%/bin/java.exe

if exist "%JAVA_EXE%" goto execute

echo.
echo ERROR: JAVA_HOME is set to an invalid directory: %JAVA_HOME%
echo.
echo Please set the JAVA_HOME variable in your environment to match the
echo location of your Java installation.

goto fail

:execute
@rem Setup the command line

set CLASSPATH=%APP_HOME%\lib\cassandra-loadtest-5.5.1.jar;%APP_HOME%\lib\cassandra-storage-5.5.1.jar;%APP_HOME%\lib\copper-ext-5.5.1.jar;%APP_HOME%\lib\copper-coreengine-5.5.1.jar;%APP_HOME%\lib\copper-jmx-interface-5.5.1.jar;%APP_HOME%\lib\javaparser-symbol-solver-core-3.6.23.jar;%APP_HOME%\lib\org.eclipse.jgit-6.9.0.202403050737-r.jar;%APP_HOME%\lib\cassandra-driver-core-3.10.2.jar;%APP_HOME%\lib\metrics-core-3.2.2.jar;%APP_HOME%\lib\slf4j-api-2.0.13.jar;%APP_HOME%\lib\jnr-posix-3.0.44.jar;%APP_HOME%\lib\jnr-ffi-2.1.7.jar;%APP_HOME%\lib\asm-commons-9.7.jar;%APP_HOME%\lib\asm-util-9.7.jar;%APP_HOME%\lib\asm-analysis-9.7.jar;%APP_HOME%\lib\asm-tree-9.7.jar;%APP_HOME%\lib\asm-9.7.jar;%APP_HOME%\lib\snakeyaml-2.2.jar;%APP_HOME%\lib\javaparser-symbol-solver-logic-3.6.23.jar;%APP_HOME%\lib\javassist-3.23.1-GA.jar;%APP_HOME%\lib\guava-31.0.1-jre.jar;%APP_HOME%\lib\commons-io-2.16.1.jar;%APP_HOME%\lib\commons-lang-2.6.jar;%APP_HOME%\lib\jackson-annotations-2.17.0.jar;%APP_HOME%\lib\jackson-databind-2.17.0.jar;%APP_HOME%\lib\jackson-core-2.17.0.jar;%APP_HOME%\lib\failureaccess-1.0.1.jar;%APP_HOME%\lib\listenablefuture-9999.0-empty-to-avoid-conflict-with-guava.jar;%APP_HOME%\lib\jsr305-3.0.2.jar;%APP_HOME%\lib\checker-qual-3.12.0.jar;%APP_HOME%\lib\error_prone_annotations-2.7.1.jar;%APP_HOME%\lib\j2objc-annotations-1.3.jar;%APP_HOME%\lib\JavaEWAH-1.2.3.jar;%APP_HOME%\lib\commons-codec-1.16.0.jar;%APP_HOME%\lib\netty-handler-4.0.56.Final.jar;%APP_HOME%\lib\byte-buddy-1.14.9.jar;%APP_HOME%\lib\netty-codec-4.0.56.Final.jar;%APP_HOME%\lib\netty-transport-4.0.56.Final.jar;%APP_HOME%\lib\netty-buffer-4.0.56.Final.jar;%APP_HOME%\lib\jffi-1.2.16.jar;%APP_HOME%\lib\jffi-1.2.16-native.jar;%APP_HOME%\lib\jnr-x86asm-1.0.2.jar;%APP_HOME%\lib\jnr-constants-0.9.9.jar;%APP_HOME%\lib\netty-common-4.0.56.Final.jar


@rem Execute cassandra-loadtest
"%JAVA_EXE%" %DEFAULT_JVM_OPTS% %JAVA_OPTS% %CASSANDRA_LOADTEST_OPTS%  -classpath "%CLASSPATH%" org.copperengine.core.persistent.cassandra.loadtest.PermanentLoadCreator %*

:end
@rem End local scope for the variables with windows NT shell
if "%ERRORLEVEL%"=="0" goto mainEnd

:fail
rem Set variable CASSANDRA_LOADTEST_EXIT_CONSOLE if you need the _script_ return code instead of
rem the _cmd.exe /c_ return code!
if  not "" == "%CASSANDRA_LOADTEST_EXIT_CONSOLE%" exit 1
exit /b 1

:mainEnd
if "%OS%"=="Windows_NT" endlocal

:omega
